<?php

namespace Onestartup\Product;

use Illuminate\Support\ServiceProvider;

class ProductServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap the application services.
     *
     * @return void
     */
    public function boot()
    {
        include __DIR__.'/routes.php';
        $this->loadMigrationsFrom(__DIR__.'/migrations');


        if (is_dir(base_path() . '/resources/views/vendor/onestartup/product')) {

            $this->loadViewsFrom(base_path() . '/resources/views/vendor/onestartup/product', 'product-public');
            $this->loadViewsFrom(__DIR__.'/views', 'product');

        } else {
           
            $this->loadViewsFrom(__DIR__.'/views', 'product');
            $this->loadViewsFrom(__DIR__.'/views/public', 'product-public');
        }

        $this->publishes([
            __DIR__.'/views/public' => resource_path('views/vendor/onestartup/product'),
        ]);



    }

    /**
     * Register the application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->make('Onestartup\Product\Controller\AdminProductController');
        $this->app->make('Onestartup\Product\Controller\CategoryController');
        $this->app->make('Onestartup\Product\Controller\ProductController');
        
    }
}
