<?php

Route::group(['middleware' => ['web', 'auth', 'is_admin']], function(){

	Route::resource('admin/product/product', 'Onestartup\Product\Controller\AdminProductController', ['as'=>'admin']);
	Route::resource('admin/product/category', 'Onestartup\Product\Controller\CategoryController', ['as'=>'admin.product']);
	Route::delete('delete/cover/category/product/{id}', 'Onestartup\Product\Controller\CategoryController@deleteCover')
		->name('delete.cover.category.product');
	Route::get('admin/products/datatable', 'Onestartup\Product\Controller\AdminProductController@getProducts')
		->name('datatable.products');
	Route::post('admin/product/{id}/gallery', 'Onestartup\Product\Controller\AdminProductController@storeGallery')
		->name('admin.product.files.store');
	Route::delete('admin/product/delete/gallery/{id}', 'Onestartup\Product\Controller\AdminProductController@deleteImage')
		->name('admin.product.gallery.delete');

	Route::delete('delete/cover/product/{id}', 'Onestartup\Product\Controller\AdminProductController@deleteCover')
		->name('delete.cover.product');

	Route::get('admin/product/variable', 'Onestartup\Product\Controller\AdminProductController@showVars')
		->name('admin.product.variable');

	Route::post('admin/product/variable', 'Onestartup\Product\Controller\AdminProductController@postVars')
		->name('admin.product.variable.store');

});

Route::group(['middleware' => ['web']], function(){
	Route::get(env('SLUG_PRODUCTS').'/{slug}', 'Onestartup\Product\Controller\ProductController@show')->name('show.product');
	Route::get(env('SLUG_PRODUCTS'), 'Onestartup\Product\Controller\ProductController@index')->name('main.product');
});
